cascading.tuple.hadoop.io

## Class IndexTupleDeserializer<T extends IndexTuple>

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleDeserializer<T>

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Deserializer<T>

Direct Known Subclasses:
  KeyIndexTupleDeserializer, ValueIndexTupleDeserializer

    public class IndexTupleDeserializer<T extends IndexTuple>
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Map<java.lang.Integer,java.lang.Class[]>` `typeMap`

### Constructor Summary

Constructors
Constructor and Description
`IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

### Method Summary

Methods
`void` `close()`
`protected T` `createTuple()`
`T` `deserialize(IndexTuple tuple)`
`protected java.lang.Class[]` `getTypesFor(int ordinal)`
`void` `open(java.io.InputStream in)`
`protected void` `setReaders(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeMap

    protected java.util.Map<java.lang.Integer,java.lang.Class[]> typeMap

### Constructor Detail

#### IndexTupleDeserializer

    public IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

### Method Detail

#### deserialize

    public T deserialize(IndexTuple tuple)
                                     throws java.io.IOException

Specified by:
  `deserialize` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends IndexTuple>`
Throws:
  `java.io.IOException`

#### createTuple

    protected T createTuple()

#### getTypesFor

    protected java.lang.Class[] getTypesFor(int ordinal)

#### setReaders

    protected void setReaders(Fields fields)

#### open

    public void open(java.io.InputStream in)

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`
Throws:
  `java.io.IOException`